<?php
if (!defined('ISDVBBS') OR !defined('ROOT_PATH') OR !defined('CACHE_PATH')) {
	header('HTTP/1.0 400 Bad Request');
	exit;
}
!defined('TIME_NOW') AND define('TIME_NOW', time());
include_once CACHE_PATH.'savvy_board.php';
class dv_forum_savvy{

	var $board_forum_num;

	function BoardShow(){
		global $db,$dv,$lang,$savvy_board,$boardid;
		echo '<table border="0" background="white" cellpadding="0" cellspacing="0" align="center" width="98%" ><tr>';
		foreach ($savvy_board['boardinfo'] as $boardlist){
			$i++;
			echo '<td height="23" bgcolor="white" align="left"  style="border:none;"><a href="./forum_savvy.php?boardid='.$boardlist['savvy_boardid'].'">';
			if ($boardid==$boardlist['savvy_boardid']){
				echo '<b><font color="red">'.trim($boardlist['savvy_boardtype']).'</font></b>';
			}else{
				echo trim($boardlist['savvy_boardtype']);
			}
			echo '</a>&nbsp;[<font color="red">'.$boardlist['savvy_topicnum'].'</font>]</td>';
			if($i==5){
				echo '</tr>';
				$i=0;
			}
		}
		echo '</table>';
	}

	function GetBoardTitle($bid){
		global $db,$dv,$lang,$savvy_board;
		foreach ($savvy_board['boardinfo'] as $boardlist){
			if($bid==$boardlist['savvy_boardid']){
				return $boardlist['savvy_boardtype'];
			}
		}		
	}
}
?>